List persisted user edits for an app
curl --request GET \
--url https://api.hyperspell.com/context-documents/tree/{tree_id}/edits \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hyperspell.com/context-documents/tree/{tree_id}/edits"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hyperspell.com/context-documents/tree/{tree_id}/edits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"edits": [
{
"id": 123,
"path": "<string>",
"edit_kind": "<string>",
"original_path": "<string>",
"content": "<string>",
"llm_baseline": "<string>",
"reviewed_baseline": "<string>",
"weight": 123,
"age_days": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"author_user_id": "<string>"
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Context Documents
List persisted user edits for an app
List all active edits (rename, content, delete) for the app.
Scoped to the tree only for URL consistency with other tree endpoints — edits are app-scoped, so the same list is returned regardless of which tree_id is passed (as long as it belongs to the app).
GET
/
context-documents
/
tree
/
{tree_id}
/
edits
List persisted user edits for an app
Authorizations
APIKeyAsUser
API Key or JWT User Token. If using an API Key, set the X-As-User header to act as a specific user. A JWT User Token is always scoped to a specific user.
Path Parameters
Response
Successful Response
Show child attributes
Show child attributes
Was this page helpful?
⌘I